​
Select Service
ves-io-schema-dc_cluster_group-API-Get
Published April 5, 2023 | Last modified June 24, 2026
Examples of getting dc_cluster_group
Usecase:
Get dc-cluster-group-1
Request using vesctl:
vesctl configuration get dc_cluster_group dc-cluster-group-1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: dc-cluster-group-1 namespace: systemreferringObjects: []resourceVersion: "906"spec: {}status: []systemMetadata: creationTimestamp: "2026-06-19T22:02:53.081414Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: aadd5584-1794-470a-b569-c45211bbd48cRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/dc_cluster_groups/dc-cluster-group-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 832Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:53 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "906", "metadata": { "name": "dc-cluster-group-1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "aadd5584-1794-470a-b569-c45211bbd48c", "creation_timestamp": "2026-06-19T22:02:53.081414Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "type": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}